import { string } from "vue-types";
import { useCompData } from ".";
import { Image, Text } from "../../../basicUI";
import { createUIComp } from "../../../defines/createUIComp";

export const Component = createUIComp({
  props: {
    compId: string().isRequired,
  },
  setup(props) {
    const { children, value } = useCompData(props.compId);

    return () => (
      <div class="relative">
        <Text.Component compId={children.text} />
        <div class="w-6.22rem mx-auto mt-0.4rem">
          <Image.Component
            compId={children.img1}
            class="w-6.22rem h-6.22rem object-cover"
          />
        </div>
        <div
          class="absolute left-0.9rem bottom-1.35rem min-w-1.5rem p-0.08rem pt-1rem border-light-50 border-0.08rem border-top-0.06rem border-solid"
          style={{
            backgroundColor: value.themeColor,
          }}
        >
          <Text.Component compId={children.text2} class="bg-light-50" />
        </div>
      </div>
    );
  },
});
